import {
  Actions,
  ActionType,
} from './layout.action';

import {
  State,
  initialState,
} from './layout.state';

export function reducer(state: State = initialState, action: Actions): State {
  switch (action.type) {
    case ActionType.ChangeBlockPagesContent: {
      return {
        ...state,
        blockPagesContent: action.payload.blockPagesContent,
      };
    }

    default: {
      return state;
    }
  }
}
