import { Action } from '@ngrx/store';

export enum ActionType {
  ChangeBlockPagesContent = '[app.ui.layout] ChangeBlockPagesContent',
}

export class ChangeBlockPagesContent implements Action {
  readonly type = ActionType.ChangeBlockPagesContent;

  constructor(public payload: { blockPagesContent: boolean }) { }
}

export type Actions =
  | ChangeBlockPagesContent

  ;
